|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3SqlEditorFactory Class Reference
[Qt3Support module]

The Q3SqlEditorFactory class is used to create the editors used by Q3DataTable and Q3SqlForm. More...

     #include <Q3SqlEditorFactory>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Note to Qt Desktop Light Edition users: This class is only available in the Qt Desktop Edition.

Inherits Q3EditorFactory.

- List of all members, including inherited members

### Public Functions

- Q3SqlEditorFactory ( QObject * parent = 0 )
- ~Q3SqlEditorFactory ()
- virtual QWidget * createEditor ( QWidget * parent, const QVariant & variant )
- virtual QWidget * createEditor ( QWidget * parent, const QSqlField * field )

- 1 public function inherited from Q3EditorFactory
- 29 public functions inherited from QObject

### Static Public Members

- Q3SqlEditorFactory * defaultFactory ()
- void installDefaultFactory ( Q3SqlEditorFactory * factory )

- 2 static public members inherited from Q3EditorFactory
- 5 static public members inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 protected functions inherited from QObject

## Detailed Description

The Q3SqlEditorFactory class is used to create the editors used by Q3DataTable and Q3SqlForm.

Q3SqlEditorFactory is used by Q3DataTable and Q3SqlForm to automatically create appropriate editors for a given QSqlField. For example if the field is a QVariant::String a QLineEdit would be the default editor, whereas a QVariant::Int's default editor would be a QSpinBox.

If you want to create different editors for fields with the same data type, subclass Q3SqlEditorFactory and reimplement the createEditor() function.

See also Q3DataTable and Q3SqlForm.

## Member Function Documentation

### Q3SqlEditorFactory::Q3SqlEditorFactory ( QObject * parent = 0 )

Constructs a SQL editor factory with parent parent.

### Q3SqlEditorFactory::~Q3SqlEditorFactory ()

Destroys the object and frees any allocated resources.

### QWidget * Q3SqlEditorFactory::createEditor ( QWidget * parent, const QVariant & variant ) `[virtual]`

Creates and returns the appropriate editor widget for the QVariant variant.

The widget that is returned has the parent parent (which may be zero). If variant is invalid, 0 is returned.

Reimplemented from Q3EditorFactory.

### QWidget * Q3SqlEditorFactory::createEditor ( QWidget * parent, const QSqlField * field ) `[virtual]`

This is an overloaded member function, provided for convenience.

Creates and returns the appropriate editor for the QSqlField field.

### Q3SqlEditorFactory * Q3SqlEditorFactory::defaultFactory () `[static]`

Returns an instance of a default editor factory.

### void Q3SqlEditorFactory::installDefaultFactory ( Q3SqlEditorFactory * factory ) `[static]`

Replaces the default editor factory with factory. All Q3DataTable and Q3SqlForm instantiations will use this new factory for creating field editors. Q3SqlEditorFactory takes ownership of factory, and destroys it when it is no longer needed.